
/*[Mostrar]*/
//Elementos que desea mostrar
Mostrar = "1cono";     //[2cono:Con cono en los 2 extremos, 1cono:Con cono en un solo extremo]

//¿Cómo desea que se muestre?
Forma = "1pieza";     //[1pieza:En una sola pieza, 2pieza:Partido en 2 piezas]

/*[Parámetros]*/
Grosor = 25;
Altura = 120;
Alto_Cono = 15;
Grosor_Palo = 4.2;


module Conos() {
difference() {
minkowski() {
union() {
cylinder(d=Grosor-5,h=Altura-Alto_Cono*2-5,$fn=240);
translate([0,0,Altura-Alto_Cono*2-5]) cylinder(d1=Grosor-5,d2=3,h=Alto_Cono,$fn=240);
translate([0,0,-Alto_Cono]) cylinder(d1=3,d2=Grosor-5,h=Alto_Cono,$fn=240);
}
sphere(d=5,$fn=80);
}
translate([0,0,-Alto_Cono-10]) cylinder(d=Grosor_Palo,h=Altura+Alto_Cono*2+5,$fn=240);
}
}


module Cono() {
difference() {
minkowski() {
union() {
cylinder(d=Grosor-5,h=Altura-Alto_Cono-5,$fn=240);
translate([0,0,Altura-Alto_Cono-5]) cylinder(d1=Grosor-5,d2=3,h=Alto_Cono,$fn=240);
}
sphere(d=5,$fn=80);
}
translate([0,0,-Alto_Cono-10]) cylinder(d=Grosor_Palo,h=Altura+Alto_Cono*2+5,$fn=240);
}
}


module Piezas() {
translate([-Grosor/1.3,0,0]) rotate([0,90,90]) difference() {
  Conos();
  translate([Grosor,0,Altura/2-10]) cube([Grosor*2,Grosor*2,Altura+Alto_Cono*2+10],center=true);
}
translate([Grosor/1.3,0,0]) rotate([0,-90,-90]) difference() {
  Conos();
  translate([-Grosor,0,Altura/2-10]) cube([Grosor*2,Grosor*2,Altura+Alto_Cono*2+10],center=true);
}
}


module Pieza() {
translate([-Grosor/1.3,0,0]) rotate([0,90,90]) difference() {
  Cono();
  translate([Grosor,0,Altura/2-10]) cube([Grosor*2,Grosor*2,Altura+Alto_Cono*2+10],center=true);
}
translate([Grosor/1.3,0,0]) rotate([0,-90,-90]) difference() {
  Cono();
  translate([-Grosor,0,Altura/2-10]) cube([Grosor*2,Grosor*2,Altura+Alto_Cono*2+10],center=true);
}
}




if (Mostrar=="1cono" && Forma=="1pieza") {
    Cono();
}

if (Mostrar=="1cono" && Forma=="2pieza") {
    Pieza();
}

if (Mostrar=="2cono" && Forma=="1pieza") {
    Conos();
}

if (Mostrar=="2cono" && Forma=="2pieza") {
    Piezas();
}


